#!/usr/bin/env python3
import os
import sys
import shutil
import zipfile
from glob import glob

def setup(local_dir="stash" ):
    """
        Extract emod-tbhiv binary (and schema) files into a local directory.
    """
    if not os.path.exists( local_dir ):
        os.mkdir( local_dir )
    os.chdir( local_dir )
    pkgdir = sys.modules['emod_tbhiv'].__path__[0]
    for fullpath in glob( os.path.join( pkgdir, "*.zip" ) ):
        shutil.copy(fullpath, os.getcwd() )
        zip_file_src = os.path.basename(fullpath)
        with zipfile.ZipFile(zip_file_src, 'r') as zip_ref:
            zip_ref.extractall(".")
        os.unlink( os.path.join( os.getcwd(), zip_file_src ) )

    os.chdir( ".." )

if __name__ == "__main__":
    setup()

